using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 请示数据库表
    /// </summary>
    [SugarTable("Res_AskData")]
    public class Res_AskData:EntityBase
    {
        /// <summary>
        /// 关联团组
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string DeleName { get; set; } = "";
        /// <summary>
        /// 国家
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="varchar(100)")]
        public string Country { get; set; }
        /// <summary>
        /// 地区
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string Area { get; set; }
        /// <summary>
        /// 公务方名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string UnitName { get; set; }
        /// <summary>
        /// 涉及领域
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Field { get; set; }
        /// <summary>
        /// 话术范例
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string TalkCase { get; set; }
    }
}
